Author: Fabio Fantoni <fantonifabio@tiscali.it>
Description: use xorriso instead of cdrkit
cdrkit is not supported anymore, use xorriso instead

also added the modification of date to make the build
reproducible:
- added --set_all_file_dates --modification-date to xorriso options
  using SOURCE_DATE_EPOCH and -uid and -gid to 0
- replaced "echo -e" with printf

Forwarded: not yet

Last-Update: 2022-01-30
---
--- a/makeiso.sh
+++ b/makeiso.sh
@@ -1,7 +1,7 @@
 #!/bin/sh
 
 # check to see if the correct tools are installed
-for X in wc genisoimage
+for X in wc xorrisofs
 do
 	if [ "$(which $X)" = "" ]; then
 		echo "makeiso.sh error: $X is not in your path." >&2
@@ -34,10 +34,14 @@
 cd cd
 
 # Create the cd.README
-echo -e "There is nothing to do here\r\r\nMemtest86+ is located on the bootsector of this CD\r\r\n" > README.TXT
-echo -e "Just boot from this CD and Memtest86+ will launch" >> README.TXT
+printf "There is nothing to do here\r\r\nMemtest86+ is located on the bootsector of this CD\r\r\n" > README.TXT
+printf "Just boot from this CD and Memtest86+ will launch" >> README.TXT
 
-genisoimage -A "MKISOFS 1.1.2" -p "Memtest86+ 5.31b" -publisher "Samuel D. <memtest@memtest.org>" -b boot/memtest.img -c boot/boot.catalog -V "MT531" -o memtest.iso .
+if [ "$SOURCE_DATE_EPOCH" ]; then
+BDATE="$(date -u +'%Y%m%d%H%M%S00' --date="@$SOURCE_DATE_EPOCH")"
+EXTRA_OPTS="--set_all_file_dates $BDATE --modification-date=$BDATE -uid 0 -gid 0"
+fi
+TZ=UTC xorrisofs $EXTRA_OPTS -A "MKISOFS 1.1.2" -p "Memtest86+ 5.31b" -publisher "Samuel D. <memtest@memtest.org>" -b boot/memtest.img -c boot/boot.catalog -V "MT531" -o memtest.iso .
 mv memtest.iso ../mt531b.iso
 cd ..
 rm -rf cd
